package org.dromara.ems.info.domain;

import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import cn.idev.excel.annotation.format.DateTimeFormat;
import org.dromara.common.mybatis.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 故障处置记录对象 fault_handling_record
 * 
 * @author Yinq
 * @date 2025-06-05
 */
@ExcelIgnoreUnannotated
public class FaultHandlingRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键，自增ID */
    private Long id;

    /** 故障日期 */
    @DateTimeFormat("yyyy/MM/dd")
    @ExcelProperty(value = "故障日期")
    private String faultDate;

    /** 故障位置 */
    @ExcelProperty(value = "故障位置")
    private String faultLocation;

    /** 处理人员 */
    @ExcelProperty(value = "处理人员")
    private String handlingPersonnel;

    /** 故障现象及原因 */
    @ExcelProperty(value = "故障现象及原因")
    private String faultPhenomenonAndCause;

    /** 故障情况处置 */
    @ExcelProperty(value = "故障情况处置")
    private String faultSituationHandling;

    /** 影响 */
    @ExcelProperty(value = "影响")
    private String impact;

    /** 故障发生时间 */
    @DateTimeFormat("HH:mm:ss")
    @ExcelProperty(value = "故障发生时间")
    private String faultOccurrenceTime;

    /** 处置时长 */
    @ExcelProperty(value = "处置时长")
    private Long handlingDuration;

    /** 维修更换的主要元器件 */
    @ExcelProperty(value = "维修更换的主要元器件")
    private String mainComponentsRepaired;

    /** 备注 */
    @ExcelProperty(value = "备注")
    private String remarks;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFaultDate(String faultDate) 
    {
        this.faultDate = faultDate;
    }

    public String getFaultDate() 
    {
        return faultDate;
    }
    public void setFaultLocation(String faultLocation) 
    {
        this.faultLocation = faultLocation;
    }

    public String getFaultLocation() 
    {
        return faultLocation;
    }
    public void setHandlingPersonnel(String handlingPersonnel) 
    {
        this.handlingPersonnel = handlingPersonnel;
    }

    public String getHandlingPersonnel() 
    {
        return handlingPersonnel;
    }
    public void setFaultPhenomenonAndCause(String faultPhenomenonAndCause) 
    {
        this.faultPhenomenonAndCause = faultPhenomenonAndCause;
    }

    public String getFaultPhenomenonAndCause() 
    {
        return faultPhenomenonAndCause;
    }
    public void setFaultSituationHandling(String faultSituationHandling) 
    {
        this.faultSituationHandling = faultSituationHandling;
    }

    public String getFaultSituationHandling() 
    {
        return faultSituationHandling;
    }
    public void setImpact(String impact) 
    {
        this.impact = impact;
    }

    public String getImpact() 
    {
        return impact;
    }
    public void setFaultOccurrenceTime(String faultOccurrenceTime) 
    {
        this.faultOccurrenceTime = faultOccurrenceTime;
    }

    public String getFaultOccurrenceTime() 
    {
        return faultOccurrenceTime;
    }
    public void setHandlingDuration(Long handlingDuration) 
    {
        this.handlingDuration = handlingDuration;
    }

    public Long getHandlingDuration() 
    {
        return handlingDuration;
    }
    public void setMainComponentsRepaired(String mainComponentsRepaired) 
    {
        this.mainComponentsRepaired = mainComponentsRepaired;
    }

    public String getMainComponentsRepaired() 
    {
        return mainComponentsRepaired;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("faultDate", getFaultDate())
            .append("faultLocation", getFaultLocation())
            .append("handlingPersonnel", getHandlingPersonnel())
            .append("faultPhenomenonAndCause", getFaultPhenomenonAndCause())
            .append("faultSituationHandling", getFaultSituationHandling())
            .append("impact", getImpact())
            .append("faultOccurrenceTime", getFaultOccurrenceTime())
            .append("handlingDuration", getHandlingDuration())
            .append("mainComponentsRepaired", getMainComponentsRepaired())
            .append("remarks", getRemarks())
            .toString();
    }
}
